%remove from COMPLETE_DATA the unuseful features, to simplify GA's work

n_f = size(COMPLETE_DATA,2);
c = zeros(size(n_f));
for i=1:n_f
    for j=1:n_f
        c(i,j) = corr(COMPLETE_DATA(:,i),COMPLETE_DATA(:,j));
    end
end
to_remove =zeros(1,n_f);
for i=1:n_f
    for j=i+1:n_f
        if abs(c(i,j))>MIN_CORRELATION && i ~= j
            to_remove(j)=1;
        end
    end
end

TO_KEEP = ~to_remove;
DATA = COMPLETE_DATA(:,TO_KEEP);